Bug 36905 - New port: devel/ruby-aspectr
Summary: New port: devel/ruby-aspectr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-08 23:50 UTC by Sean Chittenden
Modified: 2002-04-23 20:55 UTC (History)
0 users

See Also:


Attachments
file.shar (2.86 KB, text/plain)
2002-04-08 23:50 UTC, Sean Chittenden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Chittenden freebsd_committer 2002-04-08 23:50:01 UTC
	AspectR is a library interface that lets Ruby developers program
	in an aspect oriented style (similar to AspectJ).

How-To-Repeat: 	I've notified the authors asking them to change their packaging
	from aspectr-0-3-5 to 0.3.5 in the future.
Comment 1 Sean Chittenden freebsd_committer 2002-04-09 01:24:05 UTC
> >Number:         36905
> >Category:       ports
> >Synopsis:       New port: devel/ruby-aspectr
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open

Small update to port, patch applies to shar file.  -sc

--- ruby-aspectr.shar.orig	Mon Apr  8 17:20:22 2002
+++ ruby-aspectr.shar	Mon Apr  8 17:20:28 2002
@@ -67,7 +67,6 @@
 XNO_BUILD=       yes
 X
 Xdo-install:
-X	cd ${WRKSRC} ; ${RUBY} install.rb
 X	${MKDIR} ${RUBY_DOCDIR}/aspectr
 X	${INSTALL_DATA} ${WRKSRC}/CHANGELOG ${PORTDOCS}${RUBY_DOCDIR}/aspectr/
 X	${INSTALL_DATA} ${WRKSRC}/README ${PORTDOCS}${RUBY_DOCDIR}/aspectr/


-- 
Sean Chittenden
Comment 2 Akinori MUSHA freebsd_committer 2002-04-23 20:54:27 UTC
State Changed
From-To: open->closed

Committed with some trivial/style fixes, thanks! 


Comment 3 Akinori MUSHA freebsd_committer 2002-04-23 20:54:27 UTC
Responsible Changed
From-To: freebsd-ports->knu

I'm dealing with this.